open Ast
open Lexing

let print_position outx lexbuf =
  let pos = lexbuf.lex_curr_p in
  Printf.fprintf outx "%s:%d:%d" pos.pos_fname
    pos.pos_lnum (pos.pos_cnum - pos.pos_bol + 1)

let parse_with_error lexbuf =
  try TpParse.prog TpLex.token lexbuf (* lance l'analyseur syntaxique *)
  with
    TpParse.Error ->
    Printf.fprintf stderr "%a: syntax error\n" print_position lexbuf;
    exit (-1)

let _ =
  let file = open_in Sys.argv.(1) in
  let lexbuf = Lexing.from_channel file in
  let _ = parse_with_error lexbuf
  in close_in file
