{
open Ast
open TpParse
open Lexing
exception Eof

(* gere les positions numero de ligne + decalage dans la ligne *)
let next_line lexbuf = Lexing.new_line lexbuf

let keyword_table = Hashtbl.create 16
  let _ =
    List.iter (fun (kwd, tok) -> Hashtbl.add keyword_table kwd tok)
      [ "begin", BEGIN;
        "end", END
      ]
}

rule
 comment = parse
    "*/"           { token lexbuf }
and
 token = parse
      lettre LC * as id
      { ID id }
  | [' ''\t''\r']     { token lexbuf }     (* skip blanks *)
  | '\n' { next_line lexbuf; token lexbuf}
  | _ as lxm       { print_endline
                       ("undefined character: " ^ (String.make 1 lxm));
                     token lexbuf
                   }
